/* MA78MQF.CMD */

/* Show how to use MQSC input files */

filename = 'T.TXT'
qmname   = 'RAHN'

/* Load the file into Stem Variables */

rcs = stream(filename,'C', 'OPEN READ')
if ( word(rcs,1) <> 'READY:') then do
     say 'Open operation for' filename 'failed, rc =' rcs
     exit 0
     end

exit   = 'N'
file.0 = 0

do while(exit = 'N')
   fs = stream(filename, 'S' )
   if ( fs <> 'READY' ) then do
        exit = 'Y'
        iterate
        end

   line = linein(filename)
   if ( ( length(line) <> 0 ) & ( line <> ' ' ) ) then do
        l      = file.0
        l      = l + 1
        file.l = line
        file.0 = l
        end

    end


fs = stream(filename, 'C', 'CLOSE' )

/* Now we have the file data, so copy into commands */

thiscomm = ''
comm.0   = 0

if ( file.0 <> 0 ) then do i = 1 to file.0

     /* Remove leading and trailing spaces */
     c = strip(file.i,'B')
     l = length(c)

     /* Get rid of empty lines and comments */
     if ( (l = 0 ) | ( c = ' ' ) ) then iterate
     if ( substr(c,1,1) = '*' )    then iterate

     /* remove continuation characters and build the command */
     if ( pos( substr(c,l,1), '+-' ) <> 0 ) then do
          /* Continuation, so join with prior line (if any) */
          thiscomm = thiscomm || left(c,(l-1)) || ' '
          end
          else do
               /* No continuation, so build the command */
               thiscomm = thiscomm || c
               j        = comm.0
               j        = j + 1
               comm.j   = thiscomm
               comm.0   = j
               thiscomm = ''
               end

     end

/* Say how many commands were generated */
say file.0 'file lines contained' comm.0 'commands'

/* Now execute the commands */

rcc = RxFuncAdd('RXMQCNINIT','RXMQCN','RXMQCNINIT')
say 'RxFuncAdd rc =' rc
rcc= RXMQCNINIT()
say 'init rc=' rcc

if ( comm.0 <> 0 ) then do i=1 to comm.0
     resp.0 = 0
     rcc = rxmqcnc( qmname, comm.i, 'resp.' )
     say 'Command <'comm.i'> Return Code <'rcc'> Reply follows:'
     if ( resp.0 <> 0 ) then do j=1 to resp.0 ; say resp.j; end
     say ' '
     end

rcc = RXMQCNTERM()
say 'Term RC=' rcc
exit 0

/* */
